Package twisted :: Package web :: Module util

[frames | no frames]

## Module twisted.web.util

Classes
`ChildRedirector` |
`DeferredResource` | I wrap up a Deferred that will eventually result in a Resource object.
`ParentRedirect` | I redirect to URLPath.here().
`Redirect` |

Function Summary
| `formatFailure(myFailure)`
| `htmlDict(d)`
| `htmlFunc(f)`
| `htmlIndent(snippetLine)`
| `htmlInst(i)`
| `htmlList(l)`
| `htmlrepr(x)`
| `htmlString(s)`
| `htmlUnknown(x)`
| `redirectTo(URL, request)`
| `saferepr(x)`

Variable Summary
`dict` | `htmlReprTypes` = `{<type 'dict'>: <function htmlDict at 0x...`
`str` | `stylesheet` = `'\n<style type="text/css">\n p.error {\n...`

Variable Details

### htmlReprTypes

  Type:
    `dict`
  Value:

        {<type 'str'>: <function htmlString at 0x83ceb7c>,
         <type 'instance'>: <function htmlInst at 0x83ceb44>,
         <type 'function'>: <function htmlFunc at 0x842990c>,
         <type 'list'>: <function htmlList at 0x83ceb0c>,
         <type 'dict'>: <function htmlDict at 0x83cead4>}

### stylesheet

  Type:
    `str`
  Value:

        '''
        <style type="text/css">
            p.error {
              color: red;
              font-family: Verdana, Arial, helvetica, sans-serif;
              font-weight: bold;
            }

        ...

Generated by Epydoc 2.0 on Sat May 15 20:08:40 2004 | http://epydoc.sf.net